ubuntu/+source/spice:debian/wheezy

Last commit made on 2016-04-02
Get this branch:
git clone -b debian/wheezy https://git.launchpad.net/ubuntu/+source/spice
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
debian/wheezy
Repository:
lp:ubuntu/+source/spice

Recent commits

52f4c13... by Salvatore Bonaccorso on 2015-10-08

Import patches-unapplied version 0.11.0-1+deb7u2 to debian/wheezy

Imported using git-ubuntu import.

Changelog parent: d824da3d3c04b843c956ec36130c65b85ab1f1d3

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Add series of patches for CVE-2015-5260 and CVE-2015-6261.
    CVE-2015-5260: insufficient validation of surface_id parameter can cause
    crash. (Closes: #801089)
    CVE-2015-5261: host memory access from guest using crafted images.
    (Closes: #801091)

d824da3... by Salvatore Bonaccorso on 2014-01-03

Import patches-unapplied version 0.11.0-1+deb7u1 to debian/wheezy

Imported using git-ubuntu import.

Changelog parent: 48ee622f883cce4c744ee8fccf89817f61bb33c1

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-4130.patch patch.
    CVE-2013-4130: unsafe clients ring access abort. An user able to
    initiate spice connection to the guest could use this flaw to crash the
    guest. (Closes: #717030)
  * Add CVE-2013-4282.patch patch.
    CVE-2013-4282: Fix buffer overflow when decrypting client SPICE ticket.
    A remote user able to initiate a SPICE connection to an application
    acting as a SPICE server could use this flaw to crash the application.
    (Closes: #728314)

48ee622... by Liang Guo <email address hidden> on 2012-06-09

Import patches-unapplied version 0.11.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f791a170cdcae95dec82d202f9b04b8f255c33ee

New changelog entries:
  * New upstream release
  * Breaks spice-gtk (<= 0.12-2)
  * Refresh debian/libspice-server1.symbols
  * debian/control:
    - Update my e-mail address
    - Add python-pyparsing to Build-Depends
  * debian/patches:
    - Remove fix-error-path-return-in-snd_set_record_peer.patch,
      applied upstream
    - Refresh make-celt-to-be-optional.patch
    - Refresh link-libspice-server-with-libm-libpthread.patch
  * Simplify debian/rules, celt removed, no reason to use
    traditional one
  * Disable smartcard, not in debian yet
  * Refresh debian/copyright

f791a17... by Michael Tokarev <email address hidden> on 2012-06-02

Import patches-unapplied version 0.10.1-3~nocelt to debian/experimental

Imported using git-ubuntu import.

Changelog parent: a5c0032b5582990e3328e1d39dae93bd1b686a9c

New changelog entries:
  * Applying for co-maintenance, adding myself to Uploaders (Closes: #671627)
  * Bump Standards-Version to 3.9.3 (no changes)
  * link-libspice-server-with-libm-libpthread.patch - missing libraries
  * Enable multiarch for libspice-server, bump debhelper compat to 9
  * do not require root in clean target
  * build-depend on dh-autoreconf and python to be able to run autoreconf
    and python code generator
  * use dh_autoreconf, do not ship debian/source/options anymore
  * consolidate clean target in debian/rules
  * 2 patches:
    - fix-error-path-return-in-snd_set_record_peer.patch (from upstream git),
      which is a pre-requisite for the next patch, and
    - make-celt-to-be-optional.patch (sent to upstream).
    This makes it possible to build spice without celt.
  * Disable celt051 usage.

a5c0032... by Michael Tokarev <email address hidden> on 2012-01-31

Import patches-unapplied version 0.10.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 99185640af3312ac55359050198e9fe097e3f70b

New changelog entries:
  * added dependency on libxinerama-dev to
    libspice-server-dev, temporarily, till
    either upstream or we will have better
    solution. libspice-server does not use
    xinerama in any way, yet it is listed in
    the requiriments in the pkg-config file,
    which is generated at configure time.
    (Closes: #658173)

9918564... by Liang Guo on 2012-01-27

Import patches-unapplied version 0.10.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 21febf64b7e32a8fed0350118c96867eec790a83

New changelog entries:
  * New upstream release
  * Refresh libspice-server1.symbols

21febf6... by Liang Guo on 2011-11-29

Import patches-unapplied version 0.10.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0342201a2d3d4909c1728b88615fd8a2d49c30c5

New changelog entries:
  [ Liang Guo ]
  * New upstream release (Closes: #651262)
  * Refresh debian/copyright
  * Remove fix-typo-in-cmd_line_parser-cpp.patch, applied upstream
  * Remove fix-typo-in-record-cpp.patch, applied upstream
  * Remove use-requires-private-for-libspice-pkgconfig.patch, applied upstream
  * Change Build-Depends on libspice-protocol-dev to (>= 0.9.1~)
  * Refresh libspice-server1.symbols
  * Update debian/rules clean target
  * Ignore common/win/my_getopt-1.5/Makefile change when building package
  * debian/control: set DMUA
  [ Michael Tokarev ]
  * use `rm -f' instead of `-rm' in debian/rules clean targets
  * remove python_modules/*.pyc in clean target

0342201... by Liang Guo on 2011-10-20

Import patches-unapplied version 0.8.3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cb2344d03e166604211cb91d97e0e74761cb2c32

New changelog entries:
  * New upstream release
  * Update debian/copyright to fit DEP-5
  * Remove drop-unnecessary-build-request.patch, applied upstream
  * Update Build-Depends on libspice-protocol-dev to 0.8.2~
  * Disable GUI support, CEGUI version in Debian not supported
  * Add libjpeg-dev to Build-Depends
  * Refresh libspice-server1.symbols

cb2344d... by Liang Guo on 2011-08-16

Import patches-unapplied version 0.8.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8111c2c030a9fa58a42ce8eb196d266207b0ecc1

New changelog entries:
  [ Michael Tokarev ]
  * move libraries used internally by libspice-server from Requires
    to Requires.private in pkg-config file
  [ Liang Guo ]
  * Add libpixman-1-dev and libssl-dev to libspice-server-dev
    Depends (Closes: #637189)
  * Remove alsa, xrandr, xfixes, x11, xext and xrender
    from spice-server.pc Requires
  * Fix typo in debian/spicec.1

8111c2c... by Liang Guo on 2011-07-23

Import patches-unapplied version 0.8.2-1 to debian/sid

Imported using git-ubuntu import.